Package Gnumed :: Package wxpython :: Module gmAllergyWidgets :: Class cAllergyPanel |
[frames] | no frames]

# Class cAllergyPanel

source code

                           wx.Panel --+
                                      |
    gmRegetMixin.cRegetOnPaintMixin --+
                                      |
                                     cAllergyPanel

Allergy details panel.

This panel will hold all the allergy details and allow entry of those details via the editing area.

Instance Methods
__init__(self, parent, id=-1) | source code
Inherited from `gmRegetMixin.cRegetOnPaintMixin`: `repopulate_ui`

Method Details

### __init__(self, parent, id=-1) (Constructor) | source code
Overrides: gmRegetMixin.cRegetOnPaintMixin.__init__